com.amazonaws.services.elastictranscoder

## Interface AmazonElasticTranscoderAsync

All Superinterfaces:
  AmazonElasticTranscoder

All Known Implementing Classes:
  AbstractAmazonElasticTranscoderAsync, AmazonElasticTranscoderAsyncClient

    public interface AmazonElasticTranscoderAsync
    extends AmazonElasticTranscoder

Interface for accessing Amazon Elastic Transcoder asynchronously. Each asynchronous method will return a Java Future object representing the asynchronous operation; overloads which accept an `AsyncHandler` can be used to receive notification when an asynchronous operation completes.

Note: Do not directly implement this interface, new methods are added to it regularly. Extend from `AbstractAmazonElasticTranscoderAsync` instead.

<fullname>AWS Elastic Transcoder Service</fullname>

The AWS Elastic Transcoder Service.

### Field Summary

### Fields inherited from interface com.amazonaws.services.elastictranscoder.AmazonElasticTranscoder

`ENDPOINT_PREFIX`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Future<CancelJobResult>` `cancelJobAsync(CancelJobRequest cancelJobRequest)` The CancelJob operation cancels an unfinished job.
`Future<CancelJobResult>` `cancelJobAsync(CancelJobRequest cancelJobRequest, AsyncHandler<CancelJobRequest,CancelJobResult> asyncHandler)` The CancelJob operation cancels an unfinished job.
`Future<CreateJobResult>` `createJobAsync(CreateJobRequest createJobRequest)` When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.
`Future<CreateJobResult>` `createJobAsync(CreateJobRequest createJobRequest, AsyncHandler<CreateJobRequest,CreateJobResult> asyncHandler)` When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.
`Future<CreatePipelineResult>` `createPipelineAsync(CreatePipelineRequest createPipelineRequest)` The CreatePipeline operation creates a pipeline with settings that you specify.
`Future<CreatePipelineResult>` `createPipelineAsync(CreatePipelineRequest createPipelineRequest, AsyncHandler<CreatePipelineRequest,CreatePipelineResult> asyncHandler)` The CreatePipeline operation creates a pipeline with settings that you specify.
`Future<CreatePresetResult>` `createPresetAsync(CreatePresetRequest createPresetRequest)` The CreatePreset operation creates a preset with settings that you specify.
`Future<CreatePresetResult>` `createPresetAsync(CreatePresetRequest createPresetRequest, AsyncHandler<CreatePresetRequest,CreatePresetResult> asyncHandler)` The CreatePreset operation creates a preset with settings that you specify.
`Future<DeletePipelineResult>` `deletePipelineAsync(DeletePipelineRequest deletePipelineRequest)` The DeletePipeline operation removes a pipeline.
`Future<DeletePipelineResult>` `deletePipelineAsync(DeletePipelineRequest deletePipelineRequest, AsyncHandler<DeletePipelineRequest,DeletePipelineResult> asyncHandler)` The DeletePipeline operation removes a pipeline.
`Future<DeletePresetResult>` `deletePresetAsync(DeletePresetRequest deletePresetRequest)` The DeletePreset operation removes a preset that you've added in an AWS region.
`Future<DeletePresetResult>` `deletePresetAsync(DeletePresetRequest deletePresetRequest, AsyncHandler<DeletePresetRequest,DeletePresetResult> asyncHandler)` The DeletePreset operation removes a preset that you've added in an AWS region.
`Future<ListJobsByPipelineResult>` `listJobsByPipelineAsync(ListJobsByPipelineRequest listJobsByPipelineRequest)` The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.
`Future<ListJobsByPipelineResult>` `listJobsByPipelineAsync(ListJobsByPipelineRequest listJobsByPipelineRequest, AsyncHandler<ListJobsByPipelineRequest,ListJobsByPipelineResult> asyncHandler)` The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.
`Future<ListJobsByStatusResult>` `listJobsByStatusAsync(ListJobsByStatusRequest listJobsByStatusRequest)` The ListJobsByStatus operation gets a list of jobs that have a specified status.
`Future<ListJobsByStatusResult>` `listJobsByStatusAsync(ListJobsByStatusRequest listJobsByStatusRequest, AsyncHandler<ListJobsByStatusRequest,ListJobsByStatusResult> asyncHandler)` The ListJobsByStatus operation gets a list of jobs that have a specified status.
`Future<ListPipelinesResult>` `listPipelinesAsync()` Simplified method form for invoking the ListPipelines operation.
`Future<ListPipelinesResult>` `listPipelinesAsync(AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)` Simplified method form for invoking the ListPipelines operation with an AsyncHandler.
`Future<ListPipelinesResult>` `listPipelinesAsync(ListPipelinesRequest listPipelinesRequest)` The ListPipelines operation gets a list of the pipelines associated with the current AWS account.
`Future<ListPipelinesResult>` `listPipelinesAsync(ListPipelinesRequest listPipelinesRequest, AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)` The ListPipelines operation gets a list of the pipelines associated with the current AWS account.
`Future<ListPresetsResult>` `listPresetsAsync()` Simplified method form for invoking the ListPresets operation.
`Future<ListPresetsResult>` `listPresetsAsync(AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)` Simplified method form for invoking the ListPresets operation with an AsyncHandler.
`Future<ListPresetsResult>` `listPresetsAsync(ListPresetsRequest listPresetsRequest)` The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.
`Future<ListPresetsResult>` `listPresetsAsync(ListPresetsRequest listPresetsRequest, AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)` The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.
`Future<ReadJobResult>` `readJobAsync(ReadJobRequest readJobRequest)` The ReadJob operation returns detailed information about a job.
`Future<ReadJobResult>` `readJobAsync(ReadJobRequest readJobRequest, AsyncHandler<ReadJobRequest,ReadJobResult> asyncHandler)` The ReadJob operation returns detailed information about a job.
`Future<ReadPipelineResult>` `readPipelineAsync(ReadPipelineRequest readPipelineRequest)` The ReadPipeline operation gets detailed information about a pipeline.
`Future<ReadPipelineResult>` `readPipelineAsync(ReadPipelineRequest readPipelineRequest, AsyncHandler<ReadPipelineRequest,ReadPipelineResult> asyncHandler)` The ReadPipeline operation gets detailed information about a pipeline.
`Future<ReadPresetResult>` `readPresetAsync(ReadPresetRequest readPresetRequest)` The ReadPreset operation gets detailed information about a preset.
`Future<ReadPresetResult>` `readPresetAsync(ReadPresetRequest readPresetRequest, AsyncHandler<ReadPresetRequest,ReadPresetResult> asyncHandler)` The ReadPreset operation gets detailed information about a preset.
`Future<TestRoleResult>` `testRoleAsync(TestRoleRequest testRoleRequest)` Deprecated.
`Future<TestRoleResult>` `testRoleAsync(TestRoleRequest testRoleRequest, AsyncHandler<TestRoleRequest,TestRoleResult> asyncHandler)` Deprecated.
`Future<UpdatePipelineResult>` `updatePipelineAsync(UpdatePipelineRequest updatePipelineRequest)` Use the `UpdatePipeline` operation to update settings for a pipeline.
`Future<UpdatePipelineResult>` `updatePipelineAsync(UpdatePipelineRequest updatePipelineRequest, AsyncHandler<UpdatePipelineRequest,UpdatePipelineResult> asyncHandler)` Use the `UpdatePipeline` operation to update settings for a pipeline.
`Future<UpdatePipelineNotificationsResult>` `updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest updatePipelineNotificationsRequest)` With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.
`Future<UpdatePipelineNotificationsResult>` `updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest updatePipelineNotificationsRequest, AsyncHandler<UpdatePipelineNotificationsRequest,UpdatePipelineNotificationsResult> asyncHandler)` With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.
`Future<UpdatePipelineStatusResult>` `updatePipelineStatusAsync(UpdatePipelineStatusRequest updatePipelineStatusRequest)` The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.
`Future<UpdatePipelineStatusResult>` `updatePipelineStatusAsync(UpdatePipelineStatusRequest updatePipelineStatusRequest, AsyncHandler<UpdatePipelineStatusRequest,UpdatePipelineStatusResult> asyncHandler)` The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

### Methods inherited from interface com.amazonaws.services.elastictranscoder.AmazonElasticTranscoder

`cancelJob, createJob, createPipeline, createPreset, deletePipeline, deletePreset, getCachedResponseMetadata, listJobsByPipeline, listJobsByStatus, listPipelines, listPipelines, listPresets, listPresets, readJob, readPipeline, readPreset, setEndpoint, setRegion, shutdown, testRole, updatePipeline, updatePipelineNotifications, updatePipelineStatus, waiters`

### Method Detail

#### cancelJobAsync

    Future<CancelJobResult> cancelJobAsync(CancelJobRequest cancelJobRequest)

The CancelJob operation cancels an unfinished job.

<note>

You can only cancel a job that has a status of `Submitted`. To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.

</note>

Parameters:
  `cancelJobRequest` - The `CancelJobRequest` structure.
Returns:
  A Java Future containing the result of the CancelJob operation returned by the service.

#### cancelJobAsync

    Future<CancelJobResult> cancelJobAsync(CancelJobRequest cancelJobRequest,
                                           AsyncHandler<CancelJobRequest,CancelJobResult> asyncHandler)

The CancelJob operation cancels an unfinished job.

<note>

You can only cancel a job that has a status of `Submitted`. To prevent a pipeline from starting to process a job while you're getting the job identifier, use UpdatePipelineStatus to temporarily pause the pipeline.

</note>

Parameters:
  `cancelJobRequest` - The `CancelJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CancelJob operation returned by the service.

#### createJobAsync

    Future<CreateJobResult> createJobAsync(CreateJobRequest createJobRequest)

When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.

If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).

Parameters:
  `createJobRequest` - The `CreateJobRequest` structure.
Returns:
  A Java Future containing the result of the CreateJob operation returned by the service.

#### createJobAsync

    Future<CreateJobResult> createJobAsync(CreateJobRequest createJobRequest,
                                           AsyncHandler<CreateJobRequest,CreateJobResult> asyncHandler)

When you create a job, Elastic Transcoder returns JSON data that includes the values that you specified plus information about the job that is created.

If you have specified more than one output for your jobs (for example, one output for the Kindle Fire and another output for the Apple iPhone 4s), you currently must use the Elastic Transcoder API to list the jobs (as opposed to the AWS Console).

Parameters:
  `createJobRequest` - The `CreateJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreateJob operation returned by the service.

#### createPipelineAsync

    Future<CreatePipelineResult> createPipelineAsync(CreatePipelineRequest createPipelineRequest)

The CreatePipeline operation creates a pipeline with settings that you specify.

Parameters:
  `createPipelineRequest` - The `CreatePipelineRequest` structure.
Returns:
  A Java Future containing the result of the CreatePipeline operation returned by the service.

#### createPipelineAsync

    Future<CreatePipelineResult> createPipelineAsync(CreatePipelineRequest createPipelineRequest,
                                                     AsyncHandler<CreatePipelineRequest,CreatePipelineResult> asyncHandler)

The CreatePipeline operation creates a pipeline with settings that you specify.

Parameters:
  `createPipelineRequest` - The `CreatePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreatePipeline operation returned by the service.

#### createPresetAsync

    Future<CreatePresetResult> createPresetAsync(CreatePresetRequest createPresetRequest)

The CreatePreset operation creates a preset with settings that you specify.

<important>

Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response (`ValidationException`) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces.

</important>

Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.

Parameters:
  `createPresetRequest` - The `CreatePresetRequest` structure.
Returns:
  A Java Future containing the result of the CreatePreset operation returned by the service.

#### createPresetAsync

    Future<CreatePresetResult> createPresetAsync(CreatePresetRequest createPresetRequest,
                                                 AsyncHandler<CreatePresetRequest,CreatePresetResult> asyncHandler)

The CreatePreset operation creates a preset with settings that you specify.

<important>

Elastic Transcoder checks the CreatePreset settings to ensure that they meet Elastic Transcoder requirements and to determine whether they comply with H.264 standards. If your settings are not valid for Elastic Transcoder, Elastic Transcoder returns an HTTP 400 response (`ValidationException`) and does not create the preset. If the settings are valid for Elastic Transcoder but aren't strictly compliant with the H.264 standard, Elastic Transcoder creates the preset and returns a warning message in the response. This helps you determine whether your settings comply with the H.264 standard while giving you greater flexibility with respect to the video that Elastic Transcoder produces.

</important>

Elastic Transcoder uses the H.264 video-compression format. For more information, see the International Telecommunication Union publication Recommendation ITU-T H.264: Advanced video coding for generic audiovisual services.

Parameters:
  `createPresetRequest` - The `CreatePresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the CreatePreset operation returned by the service.

#### deletePipelineAsync

    Future<DeletePipelineResult> deletePipelineAsync(DeletePipelineRequest deletePipelineRequest)

The DeletePipeline operation removes a pipeline.

You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, `DeletePipeline` returns an error.

Parameters:
  `deletePipelineRequest` - The `DeletePipelineRequest` structure.
Returns:
  A Java Future containing the result of the DeletePipeline operation returned by the service.

#### deletePipelineAsync

    Future<DeletePipelineResult> deletePipelineAsync(DeletePipelineRequest deletePipelineRequest,
                                                     AsyncHandler<DeletePipelineRequest,DeletePipelineResult> asyncHandler)

The DeletePipeline operation removes a pipeline.

You can only delete a pipeline that has never been used or that is not currently in use (doesn't contain any active jobs). If the pipeline is currently in use, `DeletePipeline` returns an error.

Parameters:
  `deletePipelineRequest` - The `DeletePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeletePipeline operation returned by the service.

#### deletePresetAsync

    Future<DeletePresetResult> deletePresetAsync(DeletePresetRequest deletePresetRequest)

The DeletePreset operation removes a preset that you've added in an AWS region.

<note>

You can't delete the default presets that are included with Elastic Transcoder.

</note>

Parameters:
  `deletePresetRequest` - The `DeletePresetRequest` structure.
Returns:
  A Java Future containing the result of the DeletePreset operation returned by the service.

#### deletePresetAsync

    Future<DeletePresetResult> deletePresetAsync(DeletePresetRequest deletePresetRequest,
                                                 AsyncHandler<DeletePresetRequest,DeletePresetResult> asyncHandler)

The DeletePreset operation removes a preset that you've added in an AWS region.

<note>

You can't delete the default presets that are included with Elastic Transcoder.

</note>

Parameters:
  `deletePresetRequest` - The `DeletePresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the DeletePreset operation returned by the service.

#### listJobsByPipelineAsync

    Future<ListJobsByPipelineResult> listJobsByPipelineAsync(ListJobsByPipelineRequest listJobsByPipelineRequest)

The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.

Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.

Parameters:
  `listJobsByPipelineRequest` - The `ListJobsByPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ListJobsByPipeline operation returned by the service.

#### listJobsByPipelineAsync

    Future<ListJobsByPipelineResult> listJobsByPipelineAsync(ListJobsByPipelineRequest listJobsByPipelineRequest,
                                                             AsyncHandler<ListJobsByPipelineRequest,ListJobsByPipelineResult> asyncHandler)

The ListJobsByPipeline operation gets a list of the jobs currently in a pipeline.

Elastic Transcoder returns all of the jobs currently in the specified pipeline. The response body contains one element for each job that satisfies the search criteria.

Parameters:
  `listJobsByPipelineRequest` - The `ListJobsByPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListJobsByPipeline operation returned by the service.

#### listJobsByStatusAsync

    Future<ListJobsByStatusResult> listJobsByStatusAsync(ListJobsByStatusRequest listJobsByStatusRequest)

The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.

Parameters:
  `listJobsByStatusRequest` - The `ListJobsByStatusRequest` structure.
Returns:
  A Java Future containing the result of the ListJobsByStatus operation returned by the service.

#### listJobsByStatusAsync

    Future<ListJobsByStatusResult> listJobsByStatusAsync(ListJobsByStatusRequest listJobsByStatusRequest,
                                                         AsyncHandler<ListJobsByStatusRequest,ListJobsByStatusResult> asyncHandler)

The ListJobsByStatus operation gets a list of jobs that have a specified status. The response body contains one element for each job that satisfies the search criteria.

Parameters:
  `listJobsByStatusRequest` - The `ListJobsByStatusRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListJobsByStatus operation returned by the service.

#### listPipelinesAsync

    Future<ListPipelinesResult> listPipelinesAsync(ListPipelinesRequest listPipelinesRequest)

The ListPipelines operation gets a list of the pipelines associated with the current AWS account.

Parameters:
  `listPipelinesRequest` - The `ListPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ListPipelines operation returned by the service.

#### listPipelinesAsync

    Future<ListPipelinesResult> listPipelinesAsync(ListPipelinesRequest listPipelinesRequest,
                                                   AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)

The ListPipelines operation gets a list of the pipelines associated with the current AWS account.

Parameters:
  `listPipelinesRequest` - The `ListPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListPipelines operation returned by the service.

#### listPipelinesAsync

    Future<ListPipelinesResult> listPipelinesAsync()

Simplified method form for invoking the ListPipelines operation.

See Also:
  `listPipelinesAsync(ListPipelinesRequest)`

#### listPipelinesAsync

    Future<ListPipelinesResult> listPipelinesAsync(AsyncHandler<ListPipelinesRequest,ListPipelinesResult> asyncHandler)

Simplified method form for invoking the ListPipelines operation with an AsyncHandler.

See Also:
  `listPipelinesAsync(ListPipelinesRequest, com.amazonaws.handlers.AsyncHandler)`

#### listPresetsAsync

    Future<ListPresetsResult> listPresetsAsync(ListPresetsRequest listPresetsRequest)

The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.

Parameters:
  `listPresetsRequest` - The `ListPresetsRequest` structure.
Returns:
  A Java Future containing the result of the ListPresets operation returned by the service.

#### listPresetsAsync

    Future<ListPresetsResult> listPresetsAsync(ListPresetsRequest listPresetsRequest,
                                               AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)

The ListPresets operation gets a list of the default presets included with Elastic Transcoder and the presets that you've added in an AWS region.

Parameters:
  `listPresetsRequest` - The `ListPresetsRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ListPresets operation returned by the service.

#### listPresetsAsync

    Future<ListPresetsResult> listPresetsAsync()

Simplified method form for invoking the ListPresets operation.

See Also:
  `listPresetsAsync(ListPresetsRequest)`

#### listPresetsAsync

    Future<ListPresetsResult> listPresetsAsync(AsyncHandler<ListPresetsRequest,ListPresetsResult> asyncHandler)

Simplified method form for invoking the ListPresets operation with an AsyncHandler.

See Also:
  `listPresetsAsync(ListPresetsRequest, com.amazonaws.handlers.AsyncHandler)`

#### readJobAsync

    Future<ReadJobResult> readJobAsync(ReadJobRequest readJobRequest)

The ReadJob operation returns detailed information about a job.

Parameters:
  `readJobRequest` - The `ReadJobRequest` structure.
Returns:
  A Java Future containing the result of the ReadJob operation returned by the service.

#### readJobAsync

    Future<ReadJobResult> readJobAsync(ReadJobRequest readJobRequest,
                                       AsyncHandler<ReadJobRequest,ReadJobResult> asyncHandler)

The ReadJob operation returns detailed information about a job.

Parameters:
  `readJobRequest` - The `ReadJobRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadJob operation returned by the service.

#### readPipelineAsync

    Future<ReadPipelineResult> readPipelineAsync(ReadPipelineRequest readPipelineRequest)

The ReadPipeline operation gets detailed information about a pipeline.

Parameters:
  `readPipelineRequest` - The `ReadPipelineRequest` structure.
Returns:
  A Java Future containing the result of the ReadPipeline operation returned by the service.

#### readPipelineAsync

    Future<ReadPipelineResult> readPipelineAsync(ReadPipelineRequest readPipelineRequest,
                                                 AsyncHandler<ReadPipelineRequest,ReadPipelineResult> asyncHandler)

The ReadPipeline operation gets detailed information about a pipeline.

Parameters:
  `readPipelineRequest` - The `ReadPipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadPipeline operation returned by the service.

#### readPresetAsync

    Future<ReadPresetResult> readPresetAsync(ReadPresetRequest readPresetRequest)

The ReadPreset operation gets detailed information about a preset.

Parameters:
  `readPresetRequest` - The `ReadPresetRequest` structure.
Returns:
  A Java Future containing the result of the ReadPreset operation returned by the service.

#### readPresetAsync

    Future<ReadPresetResult> readPresetAsync(ReadPresetRequest readPresetRequest,
                                             AsyncHandler<ReadPresetRequest,ReadPresetResult> asyncHandler)

The ReadPreset operation gets detailed information about a preset.

Parameters:
  `readPresetRequest` - The `ReadPresetRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the ReadPreset operation returned by the service.

#### testRoleAsync

    @Deprecated
    Future<TestRoleResult> testRoleAsync(TestRoleRequest testRoleRequest)

Deprecated.

The TestRole operation tests the IAM role used to create the pipeline.

The `TestRole` action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.

Parameters:
  `testRoleRequest` - The `TestRoleRequest` structure.
Returns:
  A Java Future containing the result of the TestRole operation returned by the service.

#### testRoleAsync

    @Deprecated
    Future<TestRoleResult> testRoleAsync(TestRoleRequest testRoleRequest,
                                                     AsyncHandler<TestRoleRequest,TestRoleResult> asyncHandler)

Deprecated.

The TestRole operation tests the IAM role used to create the pipeline.

The `TestRole` action lets you determine whether the IAM role you are using has sufficient permissions to let Elastic Transcoder perform tasks associated with the transcoding process. The action attempts to assume the specified IAM role, checks read access to the input and output buckets, and tries to send a test notification to Amazon SNS topics that you specify.

Parameters:
  `testRoleRequest` - The `TestRoleRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the TestRole operation returned by the service.

#### updatePipelineAsync

    Future<UpdatePipelineResult> updatePipelineAsync(UpdatePipelineRequest updatePipelineRequest)

Use the `UpdatePipeline` operation to update settings for a pipeline.

<important>

When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.

</important>

Parameters:
  `updatePipelineRequest` - The `UpdatePipelineRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipeline operation returned by the service.

#### updatePipelineAsync

    Future<UpdatePipelineResult> updatePipelineAsync(UpdatePipelineRequest updatePipelineRequest,
                                                     AsyncHandler<UpdatePipelineRequest,UpdatePipelineResult> asyncHandler)

Use the `UpdatePipeline` operation to update settings for a pipeline.

<important>

When you change pipeline settings, your changes take effect immediately. Jobs that you have already submitted and that Elastic Transcoder has not started to process are affected in addition to jobs that you submit after you change settings.

</important>

Parameters:
  `updatePipelineRequest` - The `UpdatePipelineRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipeline operation returned by the service.

#### updatePipelineNotificationsAsync

    Future<UpdatePipelineNotificationsResult> updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest updatePipelineNotificationsRequest)

With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.

When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.

Parameters:
  `updatePipelineNotificationsRequest` - The `UpdatePipelineNotificationsRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipelineNotifications operation returned by the service.

#### updatePipelineNotificationsAsync

    Future<UpdatePipelineNotificationsResult> updatePipelineNotificationsAsync(UpdatePipelineNotificationsRequest updatePipelineNotificationsRequest,
                                                                               AsyncHandler<UpdatePipelineNotificationsRequest,UpdatePipelineNotificationsResult> asyncHandler)

With the UpdatePipelineNotifications operation, you can update Amazon Simple Notification Service (Amazon SNS) notifications for a pipeline.

When you update notifications for a pipeline, Elastic Transcoder returns the values that you specified in the request.

Parameters:
  `updatePipelineNotificationsRequest` - The `UpdatePipelineNotificationsRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipelineNotifications operation returned by the service.

#### updatePipelineStatusAsync

    Future<UpdatePipelineStatusResult> updatePipelineStatusAsync(UpdatePipelineStatusRequest updatePipelineStatusRequest)

The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.

Parameters:
  `updatePipelineStatusRequest` - The `UpdatePipelineStatusRequest` structure.
Returns:
  A Java Future containing the result of the UpdatePipelineStatus operation returned by the service.

#### updatePipelineStatusAsync

    Future<UpdatePipelineStatusResult> updatePipelineStatusAsync(UpdatePipelineStatusRequest updatePipelineStatusRequest,
                                                                 AsyncHandler<UpdatePipelineStatusRequest,UpdatePipelineStatusResult> asyncHandler)

The UpdatePipelineStatus operation pauses or reactivates a pipeline, so that the pipeline stops or restarts the processing of jobs.

Changing the pipeline status is useful if you want to cancel one or more jobs. You can't cancel jobs after Elastic Transcoder has started processing them; if you pause the pipeline to which you submitted the jobs, you have more time to get the job IDs for the jobs that you want to cancel, and to send a CancelJob request.

Parameters:
  `updatePipelineStatusRequest` - The `UpdatePipelineStatusRequest` structure.
  `asyncHandler` - Asynchronous callback handler for events in the lifecycle of the request. Users can provide an implementation of the callback methods in this interface to receive notification of successful or unsuccessful completion of the operation.
Returns:
  A Java Future containing the result of the UpdatePipelineStatus operation returned by the service.